services:
  digifi-analytics:
    build: .
    env_file:
      - .env
    ports:
      - "${APP_PORT:-4800}:8000"
    environment:
      - FLASK_APP=${FLASK_APP}
      - FLASK_ENV=${FLASK_ENV}
      - DATABASE_URL=postgresql+psycopg2://${DATABASE_USER}:${DATABASE_PASSWORD}@${DATABASE_HOST}:${DATABASE_PORT}/${DATABASE_NAME}
    volumes:
      - .:/app
      - ./output:/app/output
    restart: unless-stopped
    networks:
      - salary_network

networks:
  salary_network:
    driver: bridge
